Bug 784816 - Maven uses the wrong xerces version
Summary: Maven uses the wrong xerces version
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: maven
Version: 16
Hardware: Unspecified
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-26 10:49 UTC by Carlo de Wolf
Modified: 2013-02-11 16:38 UTC (History)
4 users (show)

Fixed In Version: 3.0.4-32
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-11 16:38:09 UTC
Type: ---


Attachments (Terms of Use)
upstream vs installed (141.29 KB, text/plain)
2012-01-26 10:49 UTC, Carlo de Wolf
no flags Details

Description Carlo de Wolf 2012-01-26 10:49:29 UTC
Created attachment 557637 [details]
upstream vs installed

Description of problem:

When developing a Maven extension that uses DOM you run into trouble if you do not load the default installed extension libraries.

/usr/share/maven/lib/ext contains xml-commons-apis.jar to hide the fact that /usr/share/maven/lib/xerces-j2.jar is not the same as xercesMinimal-1.9.6.2.jar which comes with the upstream distribution.

Version-Release number of selected component (if applicable):

maven-3.0.3-15.fc16.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. Write an extension that does not incorporate the default lib/ext
2. Use the extension
  
Actual results:

Observe the java.lang.ClassNotFoundException: org.w3c.dom.ElementTraversal

Expected results:

A working extension.

Additional info:

In the attachment there is a diff between a run with upstream and a run with installed maven.

Comment 1 Mikolaj Izdebski 2013-02-11 16:38:09 UTC
I believe that this bug is fixed in maven-3.0.4-32,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Mon Feb 11 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.0.4-32
- Remove xerces-j2 from plexus.core realm
- Resolves: rhbz#784816


Note You need to log in before you can comment on or make changes to this bug.